From 83575bf34f8dbab01adba9f7ea7f08fc19861a2b Mon Sep 17 00:00:00 2001
From: Michael Weber <michaelw@foldr.org>
Date: Fri, 29 Aug 2008 15:40:44 +0200
Subject: [PATCH] Fixed typos in make-input-stream


Signed-off-by: Michael Weber <michaelw@foldr.org>
---
 ChangeLog       |    4 ++++
 swank-gray.lisp |    6 ++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 55736e6..1f5d0f5 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
 2008-08-29  Michael Weber  <michaelw+slime@foldr.org>
 
+	* swank-gray.lisp (make-input-stream): fixed typos
+
+2008-08-29  Michael Weber  <michaelw+slime@foldr.org>
+
 	* swank-backend.lisp (*gray-stream-symbols*): added symbols
 	stream-peek-char, stream-read-line, stream-file-position
 
diff --git a/swank-gray.lisp b/swank-gray.lisp
index 5e7a1ad..367115a 100644
--- a/swank-gray.lisp
+++ b/swank-gray.lisp
@@ -166,7 +166,9 @@
   (make-instance 'slime-output-stream :output-fn write-string))
 
 (defimplementation make-input-stream (read-string)
-  (make-instance 'slime-output-stream :input-fn read-string))
+  (make-instance 'slime-input-stream
+                 :input-fn read-string
+                 :output-stream nil))
 
 (defimplementation make-fn-streams (input-fn output-fn)
   (let* ((output (make-instance 'slime-output-stream 
@@ -174,4 +176,4 @@
          (input  (make-instance 'slime-input-stream
                                 :input-fn input-fn 
                                 :output-stream output)))
-    (values input output)))
\ No newline at end of file
+    (values input output)))
-- 
1.6.0.GIT

